using UnityEngine;

public class AnimationMessenger : MonoBehaviour
{
    private EntitySounds entitySounds;

    void Start()
    {
        
        entitySounds = GetComponentInParent<EntitySounds>(); 
    }

    public void TriggerFootstep()
    {
        entitySounds.PlayStep(); 
    }

    public void TriggerPunch()
    {
        entitySounds.PlayPunch();
    }
}
